Index: xemacs.mak
===================================================================
RCS file: /usr/CVSroot/XEmacs/xemacs/nt/xemacs.mak,v
retrieving revision 1.41.2.21
diff -u -u -r1.41.2.21 xemacs.mak
--- xemacs.mak	1999/05/31 18:23:51	1.41.2.21
+++ xemacs.mak	1999/06/08 05:41:38
@@ -129,6 +129,9 @@
 !if !defined(USE_INDEXED_LRECORD_IMPLEMENTATION)
 USE_INDEXED_LRECORD_IMPLEMENTATION=0
 !endif
+!if !defined(GUNG_HO)
+GUNG_HO=0
+!endif
 
 #
 # System configuration
@@ -233,7 +236,7 @@
 !endif
 
 #
-# Compiler command echo control. Define VERBOSECC=1 to get vebose compilation.
+# Compiler command echo control. Define VERBOSECC=1 to get verbose compilation.
 #
 !if !defined(VERBOSECC)
 VERBOSECC=0
@@ -647,8 +650,7 @@
 DOC_SRC8=\
  $(XEMACS)\src\mule.c \
  $(XEMACS)\src\mule-charset.c \
- $(XEMACS)\src\mule-ccl.c \
- $(XEMACS)\src\mule-coding.c
+ $(XEMACS)\src\mule-ccl.c
 ! if $(HAVE_X)
  DOC_SRC8=$(DOC_SRC8) $(XEMACS)\src\input-method-xlib.c
 ! endif
@@ -736,8 +738,7 @@
 TEMACS_MULE_OBJS=\
 	$(OUTDIR)\mule.obj \
 	$(OUTDIR)\mule-charset.obj \
-	$(OUTDIR)\mule-ccl.obj \
-	$(OUTDIR)\mule-coding.obj
+	$(OUTDIR)\mule-ccl.obj
 ! if $(HAVE_X)
 TEMACS_MULE_OBJS=\
 	$(TEMACS_MULE_OBJS) $(OUTDIR)\input-method-xlib.obj
@@ -887,6 +888,31 @@
 $(OUTDIR)\xemacs.res: xemacs.rc
 	rc -Fo$@ xemacs.rc
 
+# Adrian's tests start here
+SRCDIR=../src
+PROGNAME=xemacs
+blddir=$(MAKEDIR:\=\\)\\..
+temacs_loadup=temacs -batch -l $(SRCDIR)/../lisp/loadup.el
+dump_temacs   = $(temacs_loadup) dump
+run_temacs    = $(temacs_loadup) run-temacs
+## We have automated tests!!
+testdir=../tests/automated
+batch_test_emacs=-batch -l $(testdir)/test-harness.el -f batch-test-emacs $(testdir)
+
+# .PHONY: check check-temacs
+
+check:
+	@cd $(SRCDIR)
+	$(PROGNAME) $(batch_test_emacs)
+
+check-temacs:
+	cd $(SRCDIR)
+	set EMACSBOOTSTRAPLOADPATH=$(LISP)
+	set EMACSBOOTSTRAPMODULEPATH=$(MODULES)
+	$(run_temacs) $(batch_test_emacs)
+
+# Adrian's tests end here
+
 #------------------------------------------------------------------------------
 
 # LISP bits 'n bobs
@@ -912,7 +938,7 @@
 	$(TEMACS) -batch -l $(TEMACS_DIR)\..\lisp\update-elc.el
 
 # This rule dumps xemacs and then possibly spawns sub-make if PURESPACE
-# requirements has changed.
+# requirements have changed.
 dump-xemacs: $(TEMACS)
 	@echo >$(TEMACS_DIR)\SATISFIED
 	cd $(TEMACS_DIR)
@@ -924,7 +950,7 @@
 #------------------------------------------------------------------------------
 
 # use this rule to build the complete system
-all:	Installation $(OUTDIR)\nul $(LASTFILE) $(LWLIB) $(LIB_SRC_TOOLS) $(RUNEMACS) \
+all:	$(XEMACS)\Installation $(OUTDIR)\nul $(LASTFILE) $(LWLIB) $(LIB_SRC_TOOLS) $(RUNEMACS) \
 	$(TEMACS) update-elc $(DOC) dump-xemacs
 
 temacs: $(TEMACS)
@@ -958,7 +984,7 @@
 	del *.orig
 	del *.rej
 	del *.tmp
-	del Installation
+	del $(XEMACS)\Installation
 	cd $(OUTDIR)
 	del *.lib
 	del *.obj
@@ -992,8 +1018,8 @@
 depend:
 	mkdepend -f xemacs.mak -p$(OUTDIR)\ -o.obj -w9999 -- $(TEMACS_CPP_FLAGS) --  $(DOC_SRC1) $(DOC_SRC2) $(DOC_SRC3) $(DOC_SRC4) $(DOC_SRC5) $(DOC_SRC6) $(DOC_SRC7) $(DOC_SRC8) $(DOC_SRC9) $(LASTFILE_SRC)\lastfile.c $(LIB_SRC)\make-docfile.c $(LIB_SRC)\run.c
 
-Installation:
-	@type > Installation <<
+$(XEMACS)\Installation:
+	@type > $(XEMACS)\Installation <<
 !if defined(OS)
 OS: $(OS)
 !endif
@@ -1082,7 +1108,7 @@
 !endif
 <<NOKEEP
 	@echo --------------------------------------------------------------------
-	@type Installation
+	@type $(XEMACS)\Installation
 	@echo --------------------------------------------------------------------
 
 # DO NOT DELETE THIS LINE -- make depend depends on it.
